Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class Sandesha2Admin

    java.lang.Object
      org.wso2.wsas.admin.service.AbstractAdmin
          org.wso2.wsas.admin.service.Sandesha2Admin

public class Sandesha2Admin
extends AbstractAdmin

Admin Service to manage Sandesha2.

Field Summary

Fields inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`axisConfig, configCtx`

Constructor Summary
`Sandesha2Admin()`

Method Summary
`org.apache.sandesha2.client.SequenceReport` | `getIncomingSequenceDetails(java.lang.String sequenceID)` Gives a report for an Incoming Sequence.
`java.lang.String[]` | `getIncomingSequences()` Gives all Incoming sequences.
`Sandesha2Data[]` | `getOutgoingSequenceData()` convenience method to return observation data
`org.apache.sandesha2.client.SequenceReport` | `getOutgoingSequenceDetails(java.lang.String sequenceID)` Gives an report for an Outgoing Sequence.
`java.lang.String[]` | `getOutgoingSequences()` Gives all Outgoing sequences.

Methods inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`getAxisConfig, getConfigContext, init, setAxisConfig, setConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sandesha2Admin

    public Sandesha2Admin()

Method Detail

### getOutgoingSequences

    public java.lang.String[] getOutgoingSequences()
                                            throws org.apache.axis2.AxisFault

  Gives all Outgoing sequences. An Outgoing Sequence is a sequence to which this endpoint works as a RMS.

  Returns:
    A array of Strings. Each entry gives the SequenceID of an Outgoing Sequence.
  Throws:
    `org.apache.axis2.AxisFault`

### getOutgoingSequenceData

    public Sandesha2Data[] getOutgoingSequenceData()
                                            throws org.apache.axis2.AxisFault

  convenience method to return observation data

  Returns:
    Sandesha2Data array
  Throws:
    `org.apache.axis2.AxisFault`

### getIncomingSequences

    public java.lang.String[] getIncomingSequences()
                                            throws org.apache.axis2.AxisFault

  Gives all Incoming sequences. An incoming Sequence is a sequence to which this endpoint works as a RMD.

  Returns:
    A list of Strings. Each entry gives the SequenceID of an Incoming Sequence.
  Throws:
    `org.apache.axis2.AxisFault`

### getIncomingSequenceDetails

    public org.apache.sandesha2.client.SequenceReport getIncomingSequenceDetails(java.lang.String sequenceID)
                                                                          throws org.apache.axis2.AxisFault

  Gives a report for an Incoming Sequence.

  Parameters:
    `sequenceID` - The ID of the Sequence
  Returns:
    SequenceReport
  Throws:
    `org.apache.axis2.AxisFault`

### getOutgoingSequenceDetails

    public org.apache.sandesha2.client.SequenceReport getOutgoingSequenceDetails(java.lang.String sequenceID)
                                                                          throws org.apache.axis2.AxisFault

  Gives an report for an Outgoing Sequence.

  Parameters:
    `sequenceID` - The ID of the Sequence.
  Returns:
    SequenceReport
  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD